/*	This file is part of the Internet Configuration system and is placed in the public domain for the benefit of all.

	This file contains the definition of the 'thng' resource used by the
	IC component.
	
	I've moved this to a ".r" file instead of a ResEdit resource because
		a) it's easy to do in modern versions of CW, and
		b) with PowerPC component coming the 'thng' gets somewhat complex
		   and this allows me to comment my code.
*/

// Pick up the 'thng' template.  The define forces Rez to pick up the
// extended form of the 'thng' template.

#define thng_RezTemplateVersion 1
#include "Components.r"

resource 'thng' (128, "Internet Config") {

	// Classic Component Manager information.
	
	'PREF',						// Type
	'ICAp',						// Sub-type
	'JPQE',						// Manufacturer
	cmpWantsRegisterMessage,	// component flags
	0,							// component flags mask, IM:More Mac Toolbox says to set this to zero.
	'PROC', 128,				// Code Type & ID, 68K code is in 'PROC' ID=128
	'STR ',	128,				// Name Type & ID, see below.
	'STR ', 129,				// Info Type & ID, see below.
	'ICON', 128,					// Icon Type & ID,

	// Component Manager version 3 fields.
	
	0,							// version of Component, use 0 to tell Component Manager to call us to get version
	componentDoAutoVersion		// registration flags, do want autoversioning
	+ componentWantsUnregister					//	 , want unregister (for CFM file unregistration)
	// + componentAutoVersionIncludeFlags			 , component flags are not significant for autoversioning
	+ componentHasMultiplePlatforms				//	 , do have extend platform info
	// + componentLoadResident						 , don't need to load resident (I've not seen this flag documented anywhere)
	,
	128,						// resource id of Icon Family, 128

	// Now we have our array of platform-specific descriptions.
	
	{
		
		// First, the 68K code.
		
		cmpWantsRegisterMessage,	// component flags
		'PROC',						// Code Type
		128,						// Code ID
		platform68k,				// platform type
		
		// Next the PowerPC native code.
		
		cmpWantsRegisterMessage,	// component flags
		'cfrg',						// Code Type, this special type signals to Component Manager 
									// that the code is in a data fork based code fragment
		128,						// Code ID, Component Manager searchs for this ID in the
									// "qualifier 1" field of the extended 'cfrg'
		platformPowerPC,			// platform type

	}
};

#include "MacTypes.r"

resource 'STR ' (128) {
	"Internet Configuration"
};

resource 'STR ' (129) {
	"Manages Internet preference information."
};
