(*
	File:		MoreOSUtils.h

	Contains:	Interface to the OS utilities library.

	Written by:	Quinn

	Copyright:	Copyright  1999 by Apple Computer, Inc., all rights reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):

*)

unit MoreOSUtils;

interface

	uses
		MoreSetup,
		
		MacTypes;

/////////////////////////////////////////////////////////////////
// Instruction Cache Flushing

function MakeDataPowerPCExecutable(address : univ Ptr; count : ByteCount) : OSStatus;
	// Make the memory range described by address and count
	// executable as PowerPC code.  This routine can only return
	// an error when called from classic 68K code.
	
function MakeData68KExecutable(address : univ Ptr; count : ByteCount) : OSStatus;
	// Make the memory range described by address and count
	// executable as 68K code.  This routine can never return an
	// error.  It has an error result purely for symmetry with
	// MakeDataPowerPCExecutable.

{$ifc TARGET_CPU_68K & not TARGET_RT_MAC_CFM}

	// IMPORTANT:
	// This routine is only necessary if you're compiling
	// classic 68K which calls MakeDataPowerPCExecutable.

	procedure TermMoreOSUtils;
		// A termination routine for this library.  Call it before
		// you unload from memory.

{$endc}

/////////////////////////////////////////////////////////////////
// Interrupt Enable and Disable

// See DTS Technote 1xxx "Disabling Interrupts on the Traditional Mac OS"
// for details on how this works, why you should avoid it, and what
// alternatives there are.

function GetInterruptMask : UInt16;
	// Returns the current interrupt mask, as a value
	// from 0 to 7.
	
function SetInterruptMask(newMask : UInt16) : UInt16;
	// Sets the current interrupt mask, as a value
	// from 0 to 7.

end. (* MoreOSUtils *)
